Masked Copy
Image Copy Operations

The masked copy primitives have an additional "mask image" input. More...

## Functions

NppStatus | nppiCopy_8u_C1MR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C3MR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation three channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C4MR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_AC4MR (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 8-bit unsigned image copy, ignoring alpha. More...
NppStatus | nppiCopy_16u_C1MR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C3MR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation three channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C4MR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_AC4MR (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 16-bit unsigned image copy, ignoring alpha. More...
NppStatus | nppiCopy_16s_C1MR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation 16-bit signed image copy. More...
NppStatus | nppiCopy_16s_C3MR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation three channel 16-bit signed image copy. More...
NppStatus | nppiCopy_16s_C4MR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 16-bit signed image copy. More...
NppStatus | nppiCopy_16s_AC4MR (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 16-bit signed image copy, ignoring alpha. More...
NppStatus | nppiCopy_32s_C1MR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation 32-bit signed image copy. More...
NppStatus | nppiCopy_32s_C3MR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation three channel 32-bit signed image copy. More...
NppStatus | nppiCopy_32s_C4MR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 32-bit signed image copy. More...
NppStatus | nppiCopy_32s_AC4MR (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 32-bit signed image copy, ignoring alpha. More...
NppStatus | nppiCopy_32f_C1MR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation 32-bit float image copy. More...
NppStatus | nppiCopy_32f_C3MR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation three channel 32-bit float image copy. More...
NppStatus | nppiCopy_32f_C4MR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 32-bit float image copy. More...
NppStatus | nppiCopy_32f_AC4MR (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked Operation four channel 32-bit float image copy, ignoring alpha. More...

## Detailed Description

The masked copy primitives have an additional "mask image" input.

The mask controls which pixels within the ROI are copied. For details see Masked Operation.

### Common parameters for nppiCopy_CXM functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16s_AC4MR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 16-bit signed image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16s_C1MR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation 16-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16s_C3MR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation three channel 16-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16s_C4MR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 16-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16u_AC4MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 16-bit unsigned image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16u_C1MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16u_C3MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation three channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_16u_C4MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32f_AC4MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 32-bit float image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32f_C1MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32f_C3MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation three channel 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32f_C4MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32s_AC4MR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 32-bit signed image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32s_C1MR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation 32-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32s_C3MR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation three channel 32-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_32s_C4MR | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 32-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_8u_AC4MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 8-bit unsigned image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_8u_C1MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_8u_C3MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation three channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

NppStatus nppiCopy_8u_C4MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked Operation four channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXM functions.

Copyright © 2009-2017 NVIDIA Corporation